Arch Panel Sheet/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Panel Sheet and the translation is 39% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Назад: Arch Panel Cut.svg Panel Cut
Далее: Nest Arch Nest.svg Arrow-right.svg

Arch Panel Sheet.svg Arch_Panel_Sheet

Системное название
Arch_Panel_Sheet
Расположение в меню
Arch → Инструменты панели → Лист панелей
Верстаки
Arch
Быстрые клавиши
P S
Представлено в версии
-
См. также
Arch Panel, Arch Panel Cut, Arch Nest

Описание

This tool allows to build a 2D sheet, including any number of Arch Panel Cut objects, or any other 2D object such as those made by the Draft Workbench and Sketcher Workbench. The Panel Sheet is typically made to layout cuts to be made by a CNC machine. These sheets can then be exported to a DXF file.

Arch Wikihouse 03.jpg

Arch Wikihouse 04.jpg

The above image shows how Panel Sheets appear when exported to DXF.

Применение

  1. Optionally, select one or more Arch Panel Cut objects or any other 2D object that lies on the XY plane.
  2. Press the Arch Panel Sheet.svg Arch Panel Sheet button, or press P then S keys.
  3. Adjust the desired properties.

Опции

  • After the panel sheet is created, with or without child objects, Any other child object can be added/removed to/from the panel sheet by double-clicking it in the tree view and adding or removing objects from its Group folder
  • Double-clicking on the panel in the tree view also allows you to move the objects contained in this sheet, or move its tag
  • It is possible to automatically make panels composed of more than one sheet of a material, by raising its Sheets property
  • Panel Sheets can display a margin, that is useful to make sure a certain space is always present between inner objects and the border of the sheet
  • When Panel sheets are exported to DXF, the outlines, inner holes, tags of their inner children are placed on different layers, as shown on the above image

Свойства

Данные

  • ДанныеHeight: The height of the sheet
  • ДанныеWidth: The width of the sheet
  • ДанныеFill Ratio: The percentage of the sheet area that is filled by cuts (automatic)
  • ДанныеTag Text: The text to display
  • ДанныеTag Size: The size of the tag text
  • ДанныеTag Position: The position of the tag text. Keep (0,0,0) for automatic center position
  • ДанныеTag Rotation: The rotation of the tag text
  • ДанныеFont File: The font of the tag text
  • ДанныеMake Face: If True, the panel is a Part Face, otherwise a Part Wire
  • ДанныеGrain Direction: This allows you to inform the main direction of the panel fiber (clockwise direction, 0° means up)

Вид

  • ВидMargin: A margin that can be displayed inside the panel border
  • ВидShow Margin: Turns the display of the margin on/off
  • ВидShow Grain: Shows a fiber texture (Make Face must be set to True)

Сценарии

See also: Arch API and FreeCAD Scripting Basics.

The Panel sheet tool can be used in macros and from the Python console by using the following function:

Sheet = makePanelSheet(panels=[], name="PanelSheet")
  • Creates a Sheet object from panels, which is a list of Arch Panel objects.

Пример:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(500, 200)
Polygon = Draft.makePolygon(5, 750)

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2000, 400, 0)
p3 = FreeCAD.Vector(1250, 800, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)

Panel1 = Arch.makePanel(Rect, thickness=36)
Panel2 = Arch.makePanel(Polygon, thickness=36)
Panel3 = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

Cut1 = Arch.makePanelCut(Panel1)
Cut2 = Arch.makePanelCut(Panel2)
Cut3 = Arch.makePanelCut(Panel3)
Cut1.ViewObject.LineWidth = 3
Cut2.ViewObject.LineWidth = 3
Cut3.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Sheet = Arch.makePanelSheet([Cut1, Cut2, Cut3])

Учебники


Arrow-left.svg Назад: Arch Panel Cut.svg Panel Cut
Далее: Nest Arch Nest.svg Arrow-right.svg